/**
 * This class is used to detect when all cache reads for a given render are settled.
 * We do this to allow for cache warming the prerender without having to continue rendering
 * the remainder of the page. This feature is really only useful when the dynamicIO flag is on
 * and should only be used in codepaths gated with this feature.
 */
export declare class CacheSignal {
    private count;
    private listeners;
    constructor();
    /**
     * If there are inflight cache reads this Promise can resolve in a microtask however
     * if there are no inflight cache reads then we wait at least one task to allow initial
     * cache reads to be initiated.
     */
    cacheReady(): Promise<void>;
    beginRead(): void;
    endRead(): void;
}
